Subject: Re: bug#73656: 30.0.91; icomplete-vertical has no matches for M-x man RET chdir

From: Eli Zaretskii <[email-masked]>
Date: Sun, 06 Oct 2024 19:10:45 +0300

> From: Van Ly <[email-masked]>
> Cc: [email-masked]
> Date: Sun, 06 Oct 2024 14:54:58 +0000
> 
> > What does "man -k chdir" say?
> >
> 
> See attached output.

I think this points out the problem: man.el expects a different
format, as documented in the doc string of Man-parse-man-k.  But maybe
I'm missing something, so I'll let others chime in.

My suggestion is to step with Edebug through Man-parse-man-k and see
what's wrong there.